> ## Documentation Index
> Fetch the complete documentation index at: https://docs.threetone.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Unshare Workspace Resource

> Removes any existing role on a workspace resource from a user or group. To target a user, pass only the user email; the user must be in your workspace. To target a group, pass only the group id. You must have admin access to the resource to unshare it. You cannot remove permissions from the user who created the resource.



## OpenAPI

````yaml /api-reference/openapi.json post /v1/workspace/resources/{resource_id}/unshare
openapi: 3.1.0
info:
  title: Threetone API Documentation
  description: >-
    This is the documentation for the Threetone API. You can use this API to use
    our service programmatically with API keys sent in the x-api-key header. You
    can create and manage API keys in the dashboard at
    https://threetone.in/app/developers/api-keys.
  version: '1.0'
servers:
  - url: https://api.threetone.in
    description: Production
security: []
paths:
  /v1/workspace/resources/{resource_id}/unshare:
    post:
      tags:
        - workspace
      summary: Unshare Workspace Resource
      description: >-
        Removes any existing role on a workspace resource from a user or group.
        To target a user, pass only the user email; the user must be in your
        workspace. To target a group, pass only the group id. You must have
        admin access to the resource to unshare it. You cannot remove
        permissions from the user who created the resource.
      operationId: unshare_resource_endpoint
      parameters:
        - name: resource_id
          in: path
          required: true
          schema:
            type: string
            description: The ID of the target resource.
            title: Resource Id
          description: The ID of the target resource.
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Your API key for programmatic access. Send it in the x-api-key
              header; you can create and manage keys from the Developers page.
            title: X-Api-Key
          description: >-
            Your API key for programmatic access. Send it in the x-api-key
            header; you can create and manage keys from the Developers page.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Body_Unshare_workspace_resource_v1_workspace_resources__resource_id__unshare_post
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Body_Unshare_workspace_resource_v1_workspace_resources__resource_id__unshare_post:
      properties:
        resource_type:
          $ref: '#/components/schemas/WorkspaceResourceType'
          description: Resource type of the target resource.
        user_email:
          anyOf:
            - type: string
            - type: 'null'
          title: User Email
          description: The email of the user.
        group_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Group Id
          description: >-
            The ID of the target group. Use 'default' to set the resource's
            baseline role - every workspace member receives this role unless
            they hold a higher one through a direct user grant, or group
            membership.
        workspace_api_key_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Workspace Api Key Id
          description: >-
            Deprecated. Sharing resources with service-account API keys has been
            removed; service accounts will return through WorkOS M2M.
      type: object
      required:
        - resource_type
      title: >-
        Body_Unshare_workspace_resource_v1_workspace_resources__resource_id__unshare_post
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    WorkspaceResourceType:
      type: string
      enum:
        - voice
        - voice_collection
        - pronunciation_dictionary
        - project
        - convai_agents
        - convai_knowledge_base_documents
        - convai_tools
        - convai_settings
        - convai_secrets
        - workspace_auth_connections
        - convai_phone_numbers
        - convai_mcp_servers
        - convai_api_integration_connections
        - convai_api_integration_trigger_connections
        - convai_batch_calls
        - convai_agent_response_tests
        - convai_test_suite_invocations
        - convai_crawl_jobs
        - convai_crawl_tasks
        - convai_kb_external_sync_jobs
        - convai_whatsapp_accounts
        - convai_agent_versions
        - convai_agent_branches
        - convai_agent_versions_deployments
        - convai_memory_entries
        - convai_coaching_proposals
        - convai_templates
        - dashboard
        - dashboard_configuration
        - convai_agent_drafts
        - resource_locators
        - assets
        - transcription_tasks
        - avatars
        - resource_collection
        - convai_analysis_items
      title: WorkspaceResourceType
      description: >-
        Resource types that can be shared in the workspace. The name always need
        to match the collection names
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````